/* ARCADEmini assembler (unix)
 * version 1.6.1 date 2005-10-19
 * part of the ARCADEmini project - http[s]://arcademini.schuermans.info/
 * Copyright (C) 2003-2005 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#include <string.h>

#include "global.h"

#include "node.h"

//current position in input file
unsigned long column = 1, line = 1;

//number of errors and warnings
unsigned int error_cnt = 0, warning_cnt = 0;

//the pointer to the list (of all commands, ...)
// - this is the root of our parse tree
st_node * p_list = NULL;

//print text in a box (drawn with - + |)
void print_box( char * p_text )
{
  int len, i;

  //get length of text
  len = strlen( p_text );

  //print top of box
  fputs( "+--", stdout );
  for( i = 0; i < len; i++ )
    fputc( '-', stdout );
  fputs( "--+\n", stdout );
  //print left side of box
  fputs( "|  ", stdout );
  //print contents of box
  fputs( p_text, stdout );
  //print right side of box
  fputs( "  |\n", stdout );
  //print bottom of box
  fputs( "+--", stdout );
  for( i = 0; i < len; i++ )
    fputc( '-', stdout );
  fputs( "--+\n", stdout );
}

//print text in a box (drawn with = * #)
void print_box2( char * p_text )
{
  int len, i;

  //get length of text
  len = strlen( p_text );

  //print top of box
  fputs( "*==", stdout );
  for( i = 0; i < len; i++ )
    fputc( '=', stdout );
  fputs( "==*\n", stdout );
  //print left side of box
  fputs( "#  ", stdout );
  //print contents of box
  fputs( p_text, stdout );
  //print right side of box
  fputs( "  #\n", stdout );
  //print bottom of box
  fputs( "*==", stdout );
  for( i = 0; i < len; i++ )
    fputc( '=', stdout );
  fputs( "==*\n", stdout );
}
